# EnumBase

Class in [Yarn](/api/csharp/yarn.md)

Inherits from [`TypeBase`](/api/csharp/yarn/yarn.typebase.md)

## Summary

The base type for all enumeration types.

```csharp
public class EnumBase : TypeBase
```

## Constructors

| Name                                                                | Description                                                                            |
| ------------------------------------------------------------------- | -------------------------------------------------------------------------------------- |
| [EnumBase()](/api/csharp/yarn/yarn.enumbase/yarn.enumbase..ctor.md) | Initialises a new instance of the [EnumBase](/api/csharp/yarn/yarn.enumbase.md) class. |

## Properties

| Name                                                                       | Description                         |
| -------------------------------------------------------------------------- | ----------------------------------- |
| [Description](/api/csharp/yarn/yarn.enumbase/yarn.enumbase.description.md) | Gets a string describing this type. |
| [Name](/api/csharp/yarn/yarn.enumbase/yarn.enumbase.name.md)               | Gets the name of this type.         |
| [Parent](/api/csharp/yarn/yarn.enumbase/yarn.enumbase.parent.md)           | Gets the parent of this type.       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn/yarn.enumbase.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
